Asset
Reference for the asset endpoints of the Interact REST API.
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
GET /api/asset/categories
List categories.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assetTypeId |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
Response body
[
{
"CategoryID": 0,
"Title": "string",
"ParentID": 0,
"AssetTypeID": 0,
"Active": true,
"PersonID": 0,
"Searchable": true,
"LocationID": 0
}
]| Field | Type |
|---|---|
CategoryID | integer (int32) |
Title | string |
ParentID | integer (int32) |
AssetTypeID | integer (int32) |
Active | boolean |
PersonID | integer (int32) |
Searchable | boolean |
LocationID | integer (int32) |
GET /api/asset/{id}
Get an asset by ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes | |
size |
query | integer (int32) | No | |
returnNotFound |
query | boolean | No | |
type |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{}No documented fields.
GET /api/asset/{id}/metadata
List metadata.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"FileName": "string",
"Height": 0,
"Width": 0
}| Field | Type |
|---|---|
FileName | string |
Height | integer (int32) |
Width | integer (int32) |
GET /api/asset/{resourceArea}/{id}
Get an asset by ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
resourceArea |
path | string | Yes | |
id |
path | string | Yes | |
size |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{}No documented fields.
POST /api/asset/upload/{resourceArea}
Create an upload.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
resourceArea |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
Response body
{
"Succeeded": true,
"ErrorMessage": "string",
"AssetId": 0,
"FileInfo": {
"Filename": "string",
"InputStream": {
"Method": {},
"Target": {}
},
"PartIndex": 0,
"TotalParts": 0,
"OriginalFilename": "string",
"FileUuid": "string",
"FileSize": 0,
"FileUploadAttachment": {
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"ObjectId": 0,
"ObjectTypeId": 0
}
},
"AssetGuid": "string"
}| Field | Type |
|---|---|
Succeeded | boolean |
ErrorMessage | string |
AssetId | integer (int32) |
FileInfo | object |
AssetGuid | string |
Section: REST API